use v6.d;
use lib $*PROGRAM.parent(2).add( 'lib' ).absolute;

use Test;

use FindBin ( :verbose );

my $false_1 = Bin( verbose=>False , resolve=>False   ).Str;
my $false_2 = Bin( :verbose(False), :resolve(False)  ).Str;
my $false_3 = Bin( :!verbose      , :!resolve        ).Str;

is $false_1, $false_2,  "Match with false.";
is $false_2, $false_3,  "Match with false.";

my $true_1  = Bin( verbose=>True  , resolve=>True    ).Str;
my $true_2  = Bin( :verbose(True) , :resolve(True)   ).Str;
my $true_3  = Bin( :verbose       , :resolve         ).Str;

is $true_1, $true_2,    "Match with true.";
is $true_2, $true_3,    "Match with true.";

done-testing;
